Package Details: silentcast 3.07-1

Git Clone URL: https://aur.archlinux.org/silentcast.git (read-only, click to copy)
Package Base: silentcast
Description: Silent Screencast: video record your screen and make it into an animated gif
Upstream URL: https://github.com/colinkeenan/silentcast
Licenses: GPL3
Submitter: colinkeenan
Maintainer: colinkeenan
Last Packager: colinkeenan
Votes: 21
Popularity: 0.000000
First Submitted: 2014-09-24 06:35
Last Updated: 2017-10-27 19:05

Latest Comments

1 2 Next › Last »

colinkeenan commented on 2020-08-17 17:16

@Tornax07, it still works on my machine. The first error has to do with the fact that Silentcast tries to get the GTK window geometry without borders or other "extents" and also the full geometry to give you the choice of which part to record. If it can't, it just uses what X11 says. Of course, if you aren't using X11, that will lead to a segmentation fault. Silentcast requires X11 either way and will not run without it.

TornaxO7 commented on 2020-08-15 11:16

Does anyone get the same error as me?

tornax@TORNAX-ARCH  ~  silentcast Failed to get GdkWindow. Falling back on X11 geometry of active window, saved as both extents and interior geometry. (silentcast:219338): Gtk-WARNING **: 12:56:51.324: drawing failure for widget 'GtkApplicationWindow': NULL pointer [1] 219338 segmentation fault (core dumped) silentcast ✘  tornax@TORNAX-ARCH  ~ 

colinkeenan commented on 2018-02-08 17:57

Silentcast requires a compositor. For getting compositing with openbox, see https://wiki.archlinux.org/index.php/openbox#Compositing_effects

bertieb commented on 2018-02-08 14:35

Under openbox, I get a black overlay when running silentcast (1). Any suggestions?

I've submitted an issue to the upstream GH repo (2), but want to make sure I'm not missing something Arch-specific here.

colinkeenan commented on 2017-04-17 01:40

sergey.orloff

Please try again. You happened to try just as I was fixing something.

sergey.orloff commented on 2017-04-17 01:31

There is no such file:
https://github.com/colinkeenan/silentcast/archive/v3.01.tar.gz
There is only this:
https://github.com/colinkeenan/silentcast/archive/v3.0.tar.gz

colinkeenan commented on 2015-10-23 12:09

I think I see what's wrong, you already had the source on your drive. Delete v2.2.tar.gz and try again. I had changed the source without changing the version thinking nobody would've had it yet.

colinkeenan commented on 2015-10-23 12:03

I am not having any trouble with it. I just tried again and it installs fine. To test it, I got the package using 'yaourt -G silentcast' and then ran 'makepkg'. It passed the md5sums.

I suggest just trying again. Maybe it was corrupted on download.

Pacane commented on 2015-10-23 11:55

Looks like I can't install this:

:: Checking silentcast integrity...
==> Making package: silentcast 2.2-1 (Fri Oct 23 07:54:20 EDT 2015)
==> Retrieving sources...
-> Found v2.2.tar.gz
==> Validating source files with md5sums...
v2.2.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: failed to verify silentcast integrity

colinkeenan commented on 2015-04-09 15:07

Thanks pancakes,

I've fixed that typo now.